Skip to main content
POST
/
v1
/
bank-accounts
/
{bankAccountId}
/
bank-transactions
Create bank transactions
curl --request POST \
  --url https://api.light.inc/v1/bank-accounts/{bankAccountId}/bank-transactions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --data '
{
  "transactions": [
    {
      "date": "2023-12-25",
      "amount": 123,
      "dcSign": "D",
      "name": "<string>",
      "memo": "<string>",
      "reference": "<string>",
      "transactionId": "<string>"
    }
  ]
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "date": "2023-12-25",
    "amount": 123,
    "dcSign": "D",
    "reconciliationStatus": "EXCLUDED",
    "name": "<string>",
    "memo": "<string>",
    "reference": "<string>",
    "transactionId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

bankAccountId
string<uuid>
required

Body

application/json;charset=UTF-8
transactions
object[]
required

List of bank transactions to create. Maximum 500 per request.

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>

Unique identifier for the bank transaction

bankAccountId
string<uuid>

ID of the bank account this transaction belongs to

date
string<date>

Transaction date

amount
integer<int64>

Transaction amount in minor units (e.g. cents)

dcSign
enum<string>

Debit/credit sign

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
D,
C
reconciliationStatus
enum<string>

Reconciliation status

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
EXCLUDED,
MATCHED,
UNMATCHED
name
string | null

Transaction name / payee

memo
string | null

Transaction memo / description

reference
string | null

Transaction reference

transactionId
string | null

External transaction identifier for idempotency

createdAt
string<date-time>

Timestamp when the transaction was created